Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 10 Nov 2022 02:11:17 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery your company has the worst delivery system I can ever imagine..they are playing hide and seek for my order since 5 hours and I leave all my work just to catch the delivery..2 delivery guys called and asked for a location when I already mentioned it on the order...why are you people hiring illetrate delivery persons for this process..really this isn't professional or ethical and I'm very disappointed at ur landmark delivery service.. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5236787